The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
crm.objects.owners.read
crm.objects.deals.read
crm.objects.subscriptions.read
crm.objects.services.read
crm.objects.tickets.sensitive.read
crm.objects.listings.write
crm.objects.custom.read
crm.objects.tasks.read
crm.objects.custom.sensitive.write.v2
crm.objects.custom.highly_sensitive.write.v2
crm.schemas.quotes.read
crm.objects.companies.read
crm.objects.tickets.highly_sensitive.read
crm.objects.companies.sensitive.read.v2
media_bridge.read
crm.objects.deals.highly_sensitive.read.v2
crm.objects.companies.highly_sensitive.read.v2
crm.objects.contacts.sensitive.write.v2
crm.objects.calls.read
crm.objects.meetings.read
crm.schemas.services.read
crm.schemas.line_items.read
crm.schemas.subscriptions.read
crm.objects.projects.highly_sensitive.write
crm.schemas.companies.read
crm.objects.products.write
crm.objects.feedback_submissions.read
crm.objects.services.write
crm.objects.subscriptions.write
crm.schemas.calls.read
crm.schemas.meetings.read
crm.objects.contacts.read
crm.objects.invoices.read
crm.schemas.orders.read
crm.schemas.emails.read
crm.schemas.deals.read
crm.objects.deals.write
e-commerce
crm.schemas.notes.read
crm.objects.projects.read
crm.objects.companies.sensitive.write.v2
crm.objects.custom.highly_sensitive.read.v2
crm.objects.goals.write
crm.objects.line_items.write
crm.objects.contacts.write
crm.objects.goals.read
crm.objects.line_items.read
crm.objects.projects.sensitive.write
crm.objects.deals.sensitive.read.v2
crm.objects.quotes.write
crm.schemas.contacts.read
tickets.highly_sensitive.v2
crm.objects.leads.read
crm.objects.leads.write
crm.schemas.tasks.read
crm.objects.emails.read
crm.schemas.invoices.read
crm.objects.quotes.read
crm.objects.notes.read
crm.objects.courses.read
crm.objects.marketing_events.read
crm.pipelines.orders.read
crm.objects.contacts.sensitive.read.v2
crm.schemas.projects.read
crm.objects.orders.read
automation
crm.objects.companies.write
crm.schemas.carts.read
cpq.quotes.write
crm.schemas.listings.read
crm.objects.appointments.sensitive.read.v2
crm.objects.contacts.highly_sensitive.read.v2
crm.objects.contacts.highly_sensitive.write.v2
crm.objects.commercepayments.write
crm.objects.invoices.write
crm.objects.custom.sensitive.read.v2
crm.objects.users.read
crm.objects.appointments.write
crm.objects.deals.sensitive.write.v2
cpq.quotes.read
crm.objects.appointments.sensitive.write.v2
crm.objects.projects.highly_sensitive.read
crm.schemas.appointments.read
crm.objects.custom.write
tickets.sensitive.v2
crm.objects.appointments.read
crm.schemas.courses.read
crm.objects.companies.highly_sensitive.write.v2
crm.objects.deals.highly_sensitive.write.v2
crm.objects.projects.sensitive.read
crm.pipelines.approval.read
crm.objects.projects.write
crm.objects.marketing_events.write
crm.schemas.custom.read
crm.objects.carts.read
crm.objects.courses.write
crm.schemas.commercepayments.read
crm.objects.listings.read
Path Parameters
objectType
string
required
propertyName
string
required
Query Parameters
archived
boolean
default:false
Whether to return only results that have been archived.
dataSensitivity
enum<string>
default:non_sensitive
Available options:
highly_sensitive,
non_sensitive,
sensitive
locale
string
properties
string
Response
successful operation
A HubSpot property
description
string
required
A description of the property that will be shown as help text in HubSpot.
fieldType
string
required
Controls how the property appears in HubSpot.
groupName
string
required
The name of the property group the property belongs to.
label
string
required
A human-readable property label that will be shown in HubSpot.
name
string
required
The internal property name, which must be used when referencing the property via the API.
options
object[]
required
A list of valid options for the property. This field is required for enumerated properties, but will be empty for other property types.
Show child attributes
type
string
required
The property data type.
archived
boolean
Whether or not the property is archived.
archivedAt
string<date-time>
When the property was archived.
calculated
boolean
For default properties, true indicates that the property is calculated by a HubSpot process. It has no effect for custom properties.
calculationFormula
string
Represents a formula that is used to compute a calculated property.
createdAt
string<date-time>
The timestamp when the property was created, in ISO 8601 format.
createdUserId
string
The internal user ID of the user who created the property in HubSpot. This field may not exist if the property was created outside of HubSpot.
currencyPropertyName
string
The name of the related currency property.
dataSensitivity
enum<string>
Indicates the sensitivity level of the property, such as "non_sensitive", "sensitive", or "highly_sensitive".
Available options:
highly_sensitive,
non_sensitive,
sensitive
dateDisplayHint
enum<string>
Indicates how date values should be displayed, with options such as 'absolute', 'absolute_with_relative', 'time_since', or 'time_until'.
Available options:
absolute,
absolute_with_relative,
time_since,
time_until
displayOrder
integer<int32>
Properties are shown in order, starting with the lowest positive integer value.
externalOptions
boolean
For default properties, true indicates that the options are stored externally to the property settings.
formField
boolean
Whether or not the property can be used in a HubSpot form.
hasUniqueValue
boolean
Whether or not the property's value must be unique. Once set, this can't be changed.
hidden
boolean
Whether or not the property will be hidden from the HubSpot UI. It's recommended this be set to false for custom properties.
Example:
false
hubspotDefined
boolean
This will be true for default object properties built into HubSpot.
modificationMetadata
object
Show child attributes
numberDisplayHint
enum<string>
Hint for how a number property is displayed and validated in HubSpot's UI. Can be: "unformatted", "formatted", "currency", "percentage", "duration", or "probability".
Available options:
currency,
duration,
formatted,
percentage,
probability,
unformatted
referencedObjectType
string
If this property is related to other object(s), they'll be listed here.
sensitiveDataCategories
string[]
When sensitiveData is true, lists the type of sensitive data contained in the property (e.g., "HIPAA").
showCurrencySymbol
boolean
Whether or not the property will display the currency symbol set in the account settings.
textDisplayHint
enum<string>
Hint for how the text is displayed and validated in HubSpot's UI. Can be: "unformatted_single_line", "multi_line", "email", "phone_number", "domain_name", "ip_address", "physical_address", or "postal_code".
Available options:
domain_name,
email,
ip_address,
multi_line,
phone_number,
physical_address,
postal_code,
unformatted_single_line
updatedAt
string<date-time>
The timestamp when the property was last updated, in ISO 8601 format.
updatedUserId
string
The internal user ID of the user who updated the property in HubSpot. This field may not exist if the property was updated outside of HubSpot.
Last modified on March 30, 2026
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.